# Class WbResource

java.lang.Object
org.gradle.plugins.ide.eclipse.model.WbResource

All Implemented Interfaces:
  `WbModuleEntry`

public class WbResource extends Object implements WbModuleEntry
A wtp descriptor resource entry.

## Constructor Summary

Constructors
Constructor
Description
`WbResource(Node node)`
`WbResource(String deployPath, String sourcePath)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendNode(Node node)`
`boolean`
`equals(Object o)`
`String`
`getDeployPath()`
`String`
`getSourcePath()`
`int`
`hashCode()`
`void`
`setDeployPath(String deployPath)`
`void`
`setSourcePath(String sourcePath)`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WbResource

public WbResource(Node node)

### WbResource

public WbResource(String deployPath, String sourcePath)

## Method Details

### getDeployPath

public String getDeployPath()

### setDeployPath

public void setDeployPath(String deployPath)

### getSourcePath

public String getSourcePath()

### setSourcePath

public void setSourcePath(String sourcePath)

### appendNode

public void appendNode(Node node)

Specified by:
  `appendNode` in interface `WbModuleEntry`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`